gr-baz Package

Public Member Functions | Friends | List of all members
baz_sweep Class Reference
GNU Radio baz C++ Signal Processing Blocks

square2 a stream of floats. More...

`#include <baz_sweep.h>`

Inheritance diagram for baz_sweep:
[legend]

## Public Member Functions
| ~baz_sweep ()
void | sweep (float freq, float rate=-1.0f, bool is_duration=false, bool block=false)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends
BAZ_API baz_sweep_sptr | baz_make_sweep (float samp_rate, float sweep_rate, bool is_duration)
| Return a shared_ptr to a new instance of baz_sweep. More...

## Detailed Description

square2 a stream of floats.

This uses the preferred technique: subclassing gr::sync_block.

## Constructor & Destructor Documentation

## ◆ ~baz_sweep()

baz_sweep::~baz_sweep | ( |  | ) |

## Member Function Documentation

## ◆ sweep()

void baz_sweep::sweep | ( | float | freq,
|  | float | rate = `-1.0f`,
|  | bool | is_duration = `false`,
|  | bool | block = `false`
| ) |  |

## ◆ work()

int baz_sweep::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## Friends And Related Function Documentation

## ◆ baz_make_sweep

BAZ_API baz_sweep_sptr baz_make_sweep | ( | float | samp_rate,
|  | float | sweep_rate,
|  | bool | is_duration
| ) |  |
| friend

Return a shared_ptr to a new instance of baz_sweep.

To avoid accidental use of raw pointers, baz_sweep's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- baz_sweep.h